List protection templates
curl --request GET \
--url https://api.gcore.com/security/sifter/v3/templates \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/security/sifter/v3/templates"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/security/sifter/v3/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/security/sifter/v3/templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gcore.com/security/sifter/v3/templates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/security/sifter/v3/templates")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/security/sifter/v3/templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"allow_merge": false,
"client_id": 42,
"description": "Template for configuring DDoS protection policies",
"fields": [
{
"description": "Maximum number of requests per second before triggering protection",
"field_type": "RULES",
"id": 1,
"name": "Rate Limit Threshold",
"name_in_config": "rate_limit_threshold",
"validation_schema": {
"maximum": 100000,
"minimum": 1,
"type": "integer"
}
}
],
"id": 7,
"name": "DDoS Protection Template",
"template": {
"properties": {
"threshold": {
"minimum": 1,
"type": "integer"
},
"action": {
"enum": [
"block",
"challenge",
"log"
],
"type": "string"
}
},
"type": "object"
}
}
]{}{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Protection Templates
List protection templates
List protection templates. Offset and limit parameters control the response size.
GET
/
security
/
sifter
/
v3
/
templates
List protection templates
curl --request GET \
--url https://api.gcore.com/security/sifter/v3/templates \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/security/sifter/v3/templates"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/security/sifter/v3/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gcore.com/security/sifter/v3/templates",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gcore.com/security/sifter/v3/templates"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gcore.com/security/sifter/v3/templates")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gcore.com/security/sifter/v3/templates")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"allow_merge": false,
"client_id": 42,
"description": "Template for configuring DDoS protection policies",
"fields": [
{
"description": "Maximum number of requests per second before triggering protection",
"field_type": "RULES",
"id": 1,
"name": "Rate Limit Threshold",
"name_in_config": "rate_limit_threshold",
"validation_schema": {
"maximum": 100000,
"minimum": 1,
"type": "integer"
}
}
],
"id": 7,
"name": "DDoS Protection Template",
"template": {
"properties": {
"threshold": {
"minimum": 1,
"type": "integer"
},
"action": {
"enum": [
"block",
"challenge",
"log"
],
"type": "string"
}
},
"type": "object"
}
}
]{}{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Query Parameters
Response
Successful Response
Was this page helpful?